# MRZFieldsSignatures class

Class that contains all fields signatures of the MRZ document. Use it to Configure the document fields when running the scanner screen.

## Constructors

MRZFieldsSignatures()
  const

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

BirthDate → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "BirthDate"`
CheckDigitBirthDate → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "CheckDigitBirthDate"`
CheckDigitDocumentNumber → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "CheckDigitDocumentNumber"`
CheckDigitExpiryDate → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "CheckDigitExpiryDate"`
CheckDigitGeneral → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "CheckDigitGeneral"`
CheckDigitPersonalNumber → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "CheckDigitPersonalNumber"`
DateOfIssuance → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "DateOfIssuance"`
DocumentNumber → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "DocumentNumber"`
DocumentTypeCode → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "DocumentTypeCode"`
ExpiryDate → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "ExpiryDate"`
Gender → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "Gender"`
GivenNames → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "GivenNames"`
IssuingAuthority → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "IssuingAuthority"`
LanguageCode → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "LanguageCode"`
Nationality → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "Nationality"`
OfficeOfIssuance → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "OfficeOfIssuance"`
Optional1 → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "Optional1"`
Optional2 → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "Optional2"`
PersonalNumber → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "PersonalNumber"`
PINCode → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "PINCode"`
Surname → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "Surname"`
TravelDocType → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "TravelDocType"`
TravelDocTypeVariant → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "TravelDocTypeVariant"`
Unknown → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "Unknown"`
VersionNumber → const String
  `MRZ.DOCUMENT_NORMALIZED_TYPE + "." + "VersionNumber"`